CppUnit project page | FAQ

Public Member Functions | List of all members
TestFactory Class Referenceabstract

Abstract Test factory. More...

`#include <TestFactory.h>`

Inheritance diagram for TestFactory:
[legend]

## Public Member Functions
virtual | ~TestFactory ()
virtual Test * | makeTest ()=0

## Detailed Description

Abstract Test factory.

## Constructor & Destructor Documentation

## ◆ ~TestFactory()

virtual TestFactory::~TestFactory | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ makeTest()

virtual Test * TestFactory::makeTest | ( |  | ) |
| pure virtual

Makes a new test.

Returns
  A new Test.

Implemented in TestFactoryRegistry, and TestSuiteFactory< TestCaseType >.

The documentation for this class was generated from the following file:

- TestFactory.h

| Send comments to: CppUnit Developers